Name:           perl-MouseX-App-Cmd
Version:        0.30
Release:        16%{?dist}
Summary:        Mashes up MouseX::Getopt and App::Cmd
License:        GPL+ or Artistic

URL:            https://metacpan.org/release/MouseX-App-Cmd
Source0:        https://cpan.metacpan.org/authors/id/E/ET/ETHER/MouseX-App-Cmd-%{version}.tar.gz
# Restore compatibility with App-Cmd-0.328, bug #1268805, CPAN RT #107068
Patch0:         MouseX-App-Cmd-0.30-Restore-compatibility-with-App-Cmd-0.328.patch

BuildArch:      noarch
BuildRequires:  perl-interpreter
BuildRequires:  perl-generators
BuildRequires:  perl(App::Cmd) >= 0.321
BuildRequires:  perl(App::Cmd::Command)
BuildRequires:  perl(base)
BuildRequires:  perl(Data::Dumper)
BuildRequires:  perl(English)
BuildRequires:  perl(ExtUtils::MakeMaker) >= 6.76
BuildRequires:  perl(File::Spec)
BuildRequires:  perl(Getopt::Long::Descriptive) >= 0.091
BuildRequires:  perl(lib)
BuildRequires:  perl(Mouse)
BuildRequires:  perl(Mouse::Object)
BuildRequires:  perl(MouseX::ConfigFromFile)
BuildRequires:  perl(MouseX::Getopt)
BuildRequires:  perl(MouseX::NonMoose)
BuildRequires:  perl(namespace::autoclean)
BuildRequires:  perl(strict)
BuildRequires:  perl(Test::More)
BuildRequires:  perl(Test::Output)
BuildRequires:  perl(warnings)
BuildRequires:  perl(YAML)

Requires:       perl(App::Cmd) >= 0.321
Requires:       perl(App::Cmd::Command)
Requires:       perl(Getopt::Long::Descriptive) >= 0.091
Requires:       perl(Mouse::Object)
Requires:       perl(MouseX::Getopt)
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%{?perl_default_filter}

%global __requires_exclude %__requires_exclude|^perl\\(Getopt::Long::Descriptive\\)$

%description
This module marries App::Cmd with MouseX::Getopt.

%prep
%setup -q -n MouseX-App-Cmd-%{version}
%patch0 -p1

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1
make %{?_smp_mflags}

%install
make pure_install DESTDIR=$RPM_BUILD_ROOT

%{_fixperms} $RPM_BUILD_ROOT/*

%check
make test

%files
%license LICENSE
%doc Changes CONTRIBUTING README TODO
%{perl_vendorlib}/MouseX*
%{_mandir}/man3/MouseX*

%changelog
* Fri Jul 26 2019 Fedora Release Engineering <releng@fedoraproject.org> - 0.30-16
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Fri May 31 2019 Jitka Plesnikova <jplesnik@redhat.com> - 0.30-15
- Perl 5.30 rebuild

* Fri Feb 01 2019 Fedora Release Engineering <releng@fedoraproject.org> - 0.30-14
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Fri Jul 13 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.30-13
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Sat Jun 30 2018 Jitka Plesnikova <jplesnik@redhat.com> - 0.30-12
- Perl 5.28 rebuild

* Thu Feb 08 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.30-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.30-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Tue Jun 06 2017 Jitka Plesnikova <jplesnik@redhat.com> - 0.30-9
- Perl 5.26 rebuild

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.30-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Mon May 16 2016 Jitka Plesnikova <jplesnik@redhat.com> - 0.30-7
- Perl 5.24 rebuild

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.30-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Mon Nov 30 2015 Petr Pisar <ppisar@redhat.com> - 0.30-5
- Restore compatibility with App-Cmd-0.328 (bug #1268805)

* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.30-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Mon Jun 08 2015 Jitka Plesnikova <jplesnik@redhat.com> - 0.30-3
- Perl 5.22 rebuild

* Mon Feb 23 2015 Emmanuel Seyman <emmanuel@seyman.fr> - 0.30-2
- Take into account review feedback (#1191042)

* Fri Jan 23 2015 Emmanuel Seyman <emmanuel@seyman.fr> 0.30-1
- Specfile autogenerated by cpanspec 1.78.
